+ Reply to Thread
Results 1 to 2 of 2
  1. #1
    Forum Newbie
    Discipline
    Civil
    Using
    AutoCAD 2017
    Join Date
    Apr 2018
    Posts
    2

    Default polyline and fillet lisp

    Registered forum members do not see this ad.

    I found this on the web


    Code:
    (defun C:PLF ()
    (princ "\nSpecify start point: ")
    (command "._pline")
    (while (= (getvar "cmdactive") 1)
    (command pause)
    (princ "\nNext point: ")
    )
    (command
    "._fillet" "R" "12.0"
    "._fillet" "P" (entlast))
    (princ)
    )

    when executing it the polyline has a global whidth of 2.6956 and the radius automatically. There will be some way to be able to have the global whidth in 0 and request radio in each vertex. thank you very much for your attention.

  2. #2
    Quantum Mechanic BIGAL's Avatar
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,707

    Default

    Registered forum members do not see this ad.

    A possible simple way is to take the approach of using pline join, make a pline between 2 pts 1st, draw another line to 3rd point ask fillet radius and do just that fillet then pline join pline, arc, line and keep going. Going fishing now so maybe later but anyone else jump in. Back and just caught bait.

    Code:
    ; pline with individual radius at each vertice
    ; By Alan H April 2018
    
    (defun c:prad ( / )
    (setq ss (ssadd))
    (setq p1(getpoint "Pick 1st point"))
    (setq p2 (getpoint p1 "pick second point"))
    (command "line" p1 p2 "")
    (setq obj1 (entlast))
    (setq obj2 obj1)
    
    (while
    (setq p3 (getpoint p2 "pick next point"))
    (setvar 'filletrad (getreal "Enter radius"))
    (command "line" p2 p3 "")
    (setq obj3 (entlast))
    (command "fillet" obj2 obj3 )
    (ssadd (entlast)ss)
    (ssadd obj3 ss)
    (setq p2 p3)
    (setq obj2 obj3)
    )
    
    (command "pedit" obj1  "Y" "J" )
    (repeat (setq x (sslength ss))
    (command (ssname ss (setq x(- x 1))))
    )
    (command "" "")
    (princ)
    )
    (c:prad)
    Last edited by BIGAL; 23rd Apr 2018 at 11:46 am.
    A man who never made mistakes never made anything

Similar Threads

  1. fillet polyline
    By francesc in forum AutoLISP, Visual LISP & DCL
    Replies: 4
    Last Post: 23rd Jan 2015, 05:06 pm
  2. Fillet polyline in LISP
    By Kenter in forum AutoLISP, Visual LISP & DCL
    Replies: 16
    Last Post: 17th Nov 2014, 02:29 am
  3. Replies: 7
    Last Post: 23rd Jul 2014, 01:08 pm
  4. Fillet 3D Polyline or Other Option
    By Don_Cheke in forum AutoCAD 3D Modelling & Rendering
    Replies: 7
    Last Post: 19th Sep 2011, 08:51 pm
  5. 3d radius polyline fillet
    By iain9876 in forum AutoCAD 3D Modelling & Rendering
    Replies: 9
    Last Post: 31st Oct 2006, 11:35 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts